function[fparam, fvec] = user_equations

xdim = 4;
kdim = 4;
fparam=[xdim,kdim]; 

f1 = '1/(p[1] + 1/2*p[4]*(x[1] + x[2] + x[3] + x[4]))*p[1]*(exp(- p[3]*x[2] - p[2]*x[4])*x[1] + (x[1] + x[2])*(x[3] + x[4])*p[4]/(x[1] + x[2] + x[3] + x[4]))';
f2 = '-1/(p[1] + 1/2*p[4]*(x[1] + x[2] + x[3] + x[4]))*p[1]*((exp(- p[3]*x[2] - p[2]*x[4]) - 1)*x[1] - x[2])';
f3 = '1/(p[1] + 1/2*p[4]*(x[1] + x[2] + x[3] + x[4]))*p[1]*(exp(- p[2]*x[2] - p[2]*x[4])*x[3] + (x[1] + x[2])*(x[3] + x[4])*p[4]/(x[1] + x[2] + x[3] + x[4]))';
f4 = '-1/(p[1] + 1/2*p[4]*(x[1] + x[2] + x[3] + x[4]))*p[1]*((exp(- p[2]*x[2] - p[2]*x[4]) - 1)*x[3] - x[4])';

fvec(1,1:length(f1)) = f1;
fvec(2,1:length(f2)) = f2;
fvec(3,1:length(f3)) = f3;
fvec(4,1:length(f4)) = f4;

 end