function[fparam, fvec] = user_equations

xdim = 6;
kdim = 7;
fparam=[xdim,kdim]; 

f1 = '(x[2] + 0.5*x[4])^2*p[1]/(x[2] + x[4] + x[6]) - exp(-p[5]*(x[1] + x[2] + x[3] + x[4] + x[5] + x[6]))*(p[2] - 1)*p[3]*x[1]';
f2 = 'p[4]*x[2] + exp(-p[5]*(x[1] + x[2] + x[3] + x[4] + x[5] + x[6]))*p[2]*p[3]*x[1]';
f3 = '2*(x[2] + 0.5*x[4])*(0.5*x[4] + x[6])*p[1]/(x[2] + x[4] + x[6]) + exp(-p[5]*(x[1] + x[2] + x[3] + x[4] + x[5] + x[6]))*(p[2] - 1)*(p[6]*p[7] - 1)*p[3]*x[3]';
f4 = '-(p[4]*x[4] + exp(-p[5]*(x[1] + x[2] + x[3] + x[4] + x[5] + x[6]))*p[2]*p[3]*x[3])*(p[6]*p[7] - 1)';
f5 = '(0.5*x[4] + x[6])^2*p[1]/(x[2] + x[4] + x[6]) + exp(-p[5]*(x[1] + x[2] + x[3] + x[4] + x[5] + x[6]))*(p[2] - 1)*(p[7] - 1)*p[3]*x[5]';
f6 = '-(p[7] - 1)*(p[4]*x[6] + exp(-p[5]*(x[1] + x[2] + x[3] + x[4] + x[5] + x[6]))*p[2]*p[3]*x[5])';

fvec(1,1:length(f1)) = f1;
fvec(2,1:length(f2)) = f2;
fvec(3,1:length(f3)) = f3;
fvec(4,1:length(f4)) = f4;
fvec(5,1:length(f5)) = f5;
fvec(6,1:length(f6)) = f6;

 end