function [R0,dR0dx,dR0dp,R0warnings] = r0_matrix(x,p) 

warning0 = 0;

  R0 = (p(3)*x(1))/(p(4)+p(5)+p(6));

  dR0dx1 = p(3)/(p(4)+p(5)+p(6));
  dR0dx2 = 0.0;
  dR0dx3 = 0.0;
  dR0dp1 = 0.0;
  dR0dp2 = 0.0;
  dR0dp3 = x(1)/(p(4)+p(5)+p(6));
  dR0dp4 = -p(3)*x(1)*1.0/(p(4)+p(5)+p(6))^2;
  dR0dp5 = -p(3)*x(1)*1.0/(p(4)+p(5)+p(6))^2;
  dR0dp6 = -p(3)*x(1)*1.0/(p(4)+p(5)+p(6))^2;

dR0dx(1) = dR0dx1;
dR0dx(2) = dR0dx2;
dR0dx(3) = dR0dx3;
dR0dp(1) = dR0dp1;
dR0dp(2) = dR0dp2;
dR0dp(3) = dR0dp3;
dR0dp(4) = dR0dp4;
dR0dp(5) = dR0dp5;
dR0dp(6) = dR0dp6;

  warning1 = 0.0;
  warning2_F = 0.0;
  warning2_V = 0.0;
  warning3 = 0.0;
  warning4 = 0.0;
  warning5 = 0.0;


R0warnings.w0 = warning0;
R0warnings.w1 = warning1;
R0warnings.w2F = warning2_F;
R0warnings.w2V = warning2_V;
R0warnings.w3 = warning3;
R0warnings.w4 = warning4;
R0warnings.w5 = warning5;

end